%define momorel 4
%define rbname erbscan
Summary: ERB compiler accelerator
Name: ruby-%{rbname}
Version: 0.0.20030723b
Release: %{momorel}m%{?dist}
URL: http://www.ruby-lang.org/en/raa-list.rhtml?name=erbscan
Source0: http://www.moonwolf.com/ruby/archive/erbscan-%{version}.tar.gz
NoSource: 0
License: Ruby
Group:  Applications/Text
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: ruby-devel >= 1.8.6-4m

%description
ERB::Compiler accelerator
8 times faster than erb.rb(Ruby1.8.0)
  require "erb" # slow
  require "erb_fast" # FAST!!!!

%prep
%setup -q -n %{rbname}-%{version}
chmod 644 README*

%build
ruby extconf.rb
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README*
%{ruby_sitelibdir}/*.rb
%{ruby_sitearchdir}/*.so

%changelog
* Mon Jun 18 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.0.20030723b-4m)
- rebuild against ruby-1.8.6-4m

* Fri Jul 15 2005 Toru Hoshina <t@momonga-linux.org>
- (0.0.20030723b-3m)
- /usr/lib/ruby

* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.0.20030723b-2m)
- rebuild against ruby-1.8.2

* Wed Oct 22 2003 zunda <zunda at freeshell.org>
- (0.0.20030723b-1m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- version/release division changed to follow speclint

* Sun Sep 14 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.0-0.20030723b.1m)
- initial import to Momonga
